HSETROOT(1)

NAME
hsetroot - yet another wallpaper application

SYNOPSIS
hsetroot [ command1 [ args... ] ] [ command2 [ args... ] ]

DESCRIPTION
hsetroot is a tool which allows you to compose wallpapers ("root pixmaps") for X. It has a lot of options like rendering gradients, solids, images but it also allows you to perform manipulations on those things, or chain them together.

OPTIONS

  Generic Options:

-root
    Treat multiple displays as one big screen (ignore xrandr outputs)

-screens <int>
    Set a screenmask to use

  Gradients:

-add <color>
    Add color to range using distance 1

-addd <color> <distance>
    Add color to range using custom distance

-gradient <angle>
    Render gradient using specified angle

-clear
    Clear the color range

  Solid:

-solid <color>
    Render a solid using the specified color

  Image files:

-center <image>
    Render an image centered on screen

-cover <image>
    Render an image centered on screen scaled so that all of screen is covered.

-tile <image>
    Render an image tiled

-full <image>
    Render an image maximum aspect

-extend <image>
    Render an image maximum aspect, and copy 1px border taken from the image over the remaining area so that no black borders are shown.

-fill <image>
    Render an image strechted

  Manipulations:

-tint <color>
    Tint the current image

-blur <radius>
    Blur the current image

-sharpen <radius>
    Sharpen the current image

-contrast <amount>
    Adjust contrast of current image

-brightness <amount>
    Adjust brightness of current image

-gamma <amount>
    Adjust gamma level of current image

-flipv
    Flip the current image vertically

-fliph
    Flip the current image horizontally

-flipd
    Flip the current image diagonally

  Misc:

-alpha <amount>
    Adjust alpha level for colors and images

-write <filename>
    Write current image to file

AUTHORS
Hyriand <hyriand@thegraveyard.org